> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Calendar

> Create a calendar

# Create Calendar

Create a new calendar.

## Endpoint

```
POST /api/v1/calendars
```

## Request headers

<ParamField header="Authorization" type="string" required>
  Bearer token. Format: `Bearer talq_your_environment_token_here`
</ParamField>

<ParamField header="Content-Type" type="string" required>
  Must be set to `application/json`
</ParamField>

## Request body

<ParamField body="name" type="string" required>Calendar name. Max 255 characters.</ParamField>
<ParamField body="timezone" type="string">IANA timezone (e.g., `America/New_York`). Defaults to environment timezone.</ParamField>
<ParamField body="owner_id" type="string" required>UUID of the user who owns the calendar.</ParamField>
<ParamField body="metadata" type="object">Optional free-form metadata.</ParamField>

## Examples

<RequestExample>
  ```bash theme={null}
  curl -X POST "https://app.talkover.ai/api/v1/calendars" \
    -H "Authorization: Bearer talq_your_environment_token_here" \
    -H "Content-Type: application/json" \
    -d '{
      "name": "Sales Demo Calendar",
      "timezone": "America/New_York",
      "owner_id": "user-uuid-1"
    }'
  ```
</RequestExample>

## Response

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "id": "calendar-uuid-1",
      "name": "Sales Demo Calendar",
      "timezone": "America/New_York",
      "owner_id": "user-uuid-1",
      "created_at": "2024-01-15T18:00:00Z"
    }
  }
  ```
</ResponseExample>
